Subject: Re: Kernel BUG: Qos seg. fault

From: Dmitry Torokhov <[email-masked]>
Date: Tue, 25 May 2004 02:07:57 -0500

On Monday 24 May 2004 05:09 pm, jamal wrote:
> On Mon, 2004-05-24 at 17:53, Dmitry Torokhov wrote:
> 
> 
> > It just does... 
> 
> you mean just "because" ? ;-> Semantics allow you to do more.
> 
> > TBF as far as I understand is a simple rate
> > limiting tool for your network link. 
> 
> Consider it a scheduler really.
> 
> > I implemented the child
> > qdisc for TBF so you can change default fifo queue in it to
> > SFQ or PRIO. It supposed to be very lightweight. If you need
> > something more complex/fancy then you probably want HTB or CBF.
> 
> Ok, I thought you were trying to hierachical token buckets. Why coulnt
> you go the extra step?
> In any case, i agree what you have is a lightweight improvement; but you
> could go the next mile.
> Your original patch should be sufficient in the case you just want to
> stay there.
> 

Yes, I think we should stay right here. If we go that next mile we will
get HTB and we already have a decent implementation ;)

-- 
Dmitry